Bug 112813 - rpm segmentation fault
rpm segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-02 12:43 EST by Selecter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:41:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Selecter 2004-01-02 12:43:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I have Fedora Core 1 fully upgraded from stable update packages.

Seg. fault occurs:
#rpm --rebuilddb
#rpm -i(U)hv smth.

No seg. fault:
rpm --help
rpm --version
and so on...

[root@localhost anton]# rpm --rebuilddb -vv
D: rebuilding database /var/lib/rpm into /var/lib/rpmrebuilddb.4228
D: creating directory /var/lib/rpmrebuilddb.4228
D: opening old database with dbapi 3
D: opening  db environment /var/lib/rpm/Packages joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening new database with dbapi 3
D: opening  db environment /var/lib/rpmrebuilddb.4228/Packages
create:mpool
D: opening  db index       /var/lib/rpmrebuilddb.4228/Packages create
mode=0x42
Segmentation fault

I've tryed:
1) rebooting
2) Doing rm -f /var/lib/rpm/__db* before rebuilding db

Somehow after working for a while I was starting to get "Illegal
Instruction" executing "rpm -ihv" and "rpm --rebuilddb". Then, I've
installed all updates successfuly. But after reboot I've got
"segmentation fault" again.

Version-Release number of selected component (if applicable):
rpm-4.2.1

How reproducible:
Didn't try

Steps to Reproduce:
1. I only remember that before seg. fault I installed redhat*pack*.rpm
from stable updates...
2. And launched up2date that had frozed... for some minutes.

Additional info:
Comment 1 Selecter 2004-01-02 16:53:12 EST
Updated to:
rpm-4.2.2-0.8.i386.rpm        rpm-devel-4.2.2-0.8.i386.rpm
rpm-build-4.2.2-0.8.i386.rpm  rpm-python-4.2.2-0.8.i386.rpm

Seg. fault still happens
Comment 2 Jeff Johnson 2004-01-03 02:13:02 EST
Which is it, rpm-4.2.1 or rpm-4.2.2 that you want debugged?

Does rpm -qa -vv work?

How about rpm -V -vv rpm popt?
Comment 3 Jeremy Katz 2005-04-19 14:41:33 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.